# H323RealTimeCapability Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323RealTimeCapability:

[legend]
Collaboration diagram for H323RealTimeCapability:
[legend]

## Public Member Functions

Operations
virtual H323Channel * | CreateChannel (H323Connection &connection, H323Channel::Directions dir, unsigned sessionID, const H245_H2250LogicalChannelParameters *param) const
| H323RealTimeCapability ()
| H323RealTimeCapability (const H323RealTimeCapability &rtc)
virtual | ~H323RealTimeCapability ()

## Detailed Description

This class describes the interface to a codec that has channels based on the RTP protocol.

An application may create a descendent off this class and override functions as required for descibing the codec.

## Constructor & Destructor Documentation

H323RealTimeCapability::H323RealTimeCapability | ( |  | ) |

H323RealTimeCapability::H323RealTimeCapability | ( | const H323RealTimeCapability & | rtc | ) |

virtual H323RealTimeCapability::~H323RealTimeCapability | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual H323Channel* H323RealTimeCapability::CreateChannel | ( | H323Connection & | connection,
|  | H323Channel::Directions | dir,
|  | unsigned | sessionID,
|  | const H245_H2250LogicalChannelParameters * | param |
| ) |  |  | const`[virtual]`

Create the channel instance, allocating resources as required.

Parameters:

  connection | Owner connection for channel
  dir | Direction of channel
  sessionID | Session ID for RTP channel
  param | Parameters for channel

Implements H323Capability.

The documentation for this class was generated from the following file:

- h323caps.h